Subject: Re: [PATCH] mac80211: aes_ccm: move struct aead_req off the stack

From: Johannes Berg <[email-masked]>
Date: Fri, 14 Oct 2016 15:10:35 +0200

> So use kzalloc

Do we really need kzalloc()? We have things on the stack right now, and
don't initialize, so surely we don't really need to zero things?

> This only addresses one half of the problem. The other problem, i.e.,
> the fact that the aad[] array lives on the stack of the caller, is
> handled adequately imo by the change proposed by Johannes.

But if we allocate things anyway, is it worth expending per-CPU buffers
on these?

johannes